#ifndef ReadWrite_H_
#define ReadWrite_H_

#include <string>

#include "Graph.h"

int checkAndInsertNode( Graph & g,  map<string, int> & nodeIdMap, const string nameNode);
Graph readAsCompoundGraph( string nameFileEdge, string nameFileHyperEdge);
Graph readGraphFile(string nameFile, map<string, vertex_t> & checkNodes);
vector<HyperArc> readHyperArcsFile(string nameFile, map<string, int> & nodeIdMap, Graph & g);


void writeGraphViz(const char *  filename, Graph g );



#endif // ___CLASS_H___
